Index: cprs/branches/foia-cprs/CPRS-Chart/fDeviceSelect.dfm
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/fDeviceSelect.dfm	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/fDeviceSelect.dfm	(revision 460)
@@ -1,8 +1,9 @@
 object frmDeviceSelect: TfrmDeviceSelect
-  Left = 389
-  Top = 375
-  Width = 445
-  Height = 276
+  Left = 378
+  Top = 340
+  AutoScroll = False
   Caption = 'Orders Print Device Selection'
+  ClientHeight = 235
+  ClientWidth = 415
   Color = clBtnFace
   Font.Charset = DEFAULT_CHARSET
@@ -13,4 +14,6 @@
   OldCreateOrder = True
   Position = poScreenCenter
+  OnClose = FormClose
+  OnShow = FormShow
   PixelsPerInch = 96
   TextHeight = 13
@@ -22,50 +25,18 @@
   end
   object grpDevice: TGroupBox
-    Left = 10
-    Top = 8
-    Width = 411
-    Height = 192
+    Left = 0
+    Top = 0
+    Width = 415
+    Height = 194
+    Align = alClient
     Caption = 'Device'
     TabOrder = 0
-    object lblMargin: TLabel
-      Left = 8
-      Top = 166
-      Width = 60
-      Height = 13
-      Caption = 'Right Margin'
-    end
-    object lblLength: TLabel
-      Left = 120
-      Top = 166
-      Width = 61
-      Height = 13
-      Caption = 'Page Length'
-    end
-    object txtRightMargin: TMaskEdit
-      Left = 72
-      Top = 164
-      Width = 34
-      Height = 19
-      AutoSize = False
-      EditMask = '99999;0; '
-      MaxLength = 5
-      TabOrder = 1
-    end
-    object txtPageLength: TMaskEdit
-      Left = 184
-      Top = 164
-      Width = 34
-      Height = 19
-      AutoSize = False
-      EditMask = '99999;0; '
-      MaxLength = 5
-      TabOrder = 2
-    end
     object cboDevice: TORComboBox
-      Left = 7
+      Left = 2
       Top = 15
-      Width = 395
-      Height = 140
+      Width = 411
+      Height = 145
       Style = orcsSimple
+      Align = alClient
       AutoSelect = True
       Caption = 'Device'
@@ -77,4 +48,5 @@
       ListItemsOnly = False
       LongList = True
+      LookupPiece = 0
       MaxLength = 0
       ParentShowHint = False
@@ -88,32 +60,84 @@
       OnNeedData = cboDeviceNeedData
     end
+    object pnlGBBottom: TPanel
+      Left = 2
+      Top = 160
+      Width = 411
+      Height = 32
+      Align = alBottom
+      BevelOuter = bvNone
+      TabOrder = 1
+      object lblMargin: TLabel
+        Left = 8
+        Top = 12
+        Width = 60
+        Height = 13
+        Caption = 'Right Margin'
+      end
+      object lblLength: TLabel
+        Left = 120
+        Top = 12
+        Width = 61
+        Height = 13
+        Caption = 'Page Length'
+      end
+      object txtRightMargin: TMaskEdit
+        Left = 72
+        Top = 6
+        Width = 33
+        Height = 19
+        AutoSize = False
+        EditMask = '99999;0; '
+        MaxLength = 5
+        TabOrder = 0
+      end
+      object txtPageLength: TMaskEdit
+        Left = 184
+        Top = 6
+        Width = 34
+        Height = 19
+        AutoSize = False
+        EditMask = '99999;0; '
+        MaxLength = 5
+        TabOrder = 1
+      end
+    end
   end
-  object cmdOK: TButton
-    Left = 269
-    Top = 211
-    Width = 72
-    Height = 22
-    Caption = 'OK'
-    Default = True
-    TabOrder = 2
-    OnClick = cmdOKClick
-  end
-  object cmdCancel: TButton
-    Left = 349
-    Top = 211
-    Width = 72
-    Height = 22
-    Cancel = True
-    Caption = 'Cancel'
-    TabOrder = 3
-    OnClick = cmdCancelClick
-  end
-  object chkDefault: TCheckBox
-    Left = 12
-    Top = 218
-    Width = 163
-    Height = 17
-    Caption = 'Save as user'#39's default printer'
+  object pnlBottom: TPanel
+    Left = 0
+    Top = 194
+    Width = 415
+    Height = 41
+    Align = alBottom
+    BevelOuter = bvNone
     TabOrder = 1
+    object cmdOK: TButton
+      Left = 257
+      Top = 11
+      Width = 72
+      Height = 22
+      Caption = 'OK'
+      Default = True
+      TabOrder = 0
+      OnClick = cmdOKClick
+    end
+    object cmdCancel: TButton
+      Left = 337
+      Top = 11
+      Width = 72
+      Height = 22
+      Cancel = True
+      Caption = 'Cancel'
+      TabOrder = 1
+      OnClick = cmdCancelClick
+    end
+    object chkDefault: TCheckBox
+      Left = 12
+      Top = 16
+      Width = 163
+      Height = 17
+      Caption = 'Save as user'#39's default printer'
+      TabOrder = 2
+    end
   end
 end
